%define upstream_name    Text-Soundex
%define upstream_version 3.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Encode a string as a soundex value
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(if)
BuildRequires: perl-devel
%{?perl_default_filter}

%description
Soundex is a phonetic algorithm for indexing names by sound, as pronounced
in English. The goal is for names with the same pronunciation to be encoded
to the same representation so that they can be matched despite minor
differences in spelling. Soundex is the most widely known of all phonetic
algorithms and is often used (incorrectly) as a synonym for "phonetic
algorithm". Improvements to Soundex are the basis for many modern phonetic
algorithms. (Wikipedia, 2007)

This module implements the original soundex algorithm developed by Robert
Russell and Margaret Odell, patented in 1918 and 1922, as well as a
variation called "American Soundex" used for US census data, and current
maintained by the National Archives and Records Administration (NARA).

The soundex algorithm may be recognized from Donald Knuth's *The Art of
Computer Programming*. The algorithm described by Knuth is the NARA
algorithm.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Wed Jun 17 2020 umeabot <umeabot> 3.50.0-10.mga8
+ Revision: 1594771
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 3.50.0-9.mga8
+ Revision: 1529261
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tv <tv> 3.50.0-8.mga8
+ Revision: 1433241
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 3.50.0-7.mga7
+ Revision: 1293885
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 3.50.0-6.mga7
+ Revision: 1249893
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 3.50.0-5.mga7
+ Revision: 1166996
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 3.50.0-4.mga7
+ Revision: 1149321
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 3.50.0-3.mga7
+ Revision: 1126608
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 3.50.0-2.mga6
+ Revision: 1035130
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 3.50.0-1.mga6
+ Revision: 1002320
- update to 3.05

* Fri Feb 12 2016 umeabot <umeabot> 3.40.0-11.mga6
+ Revision: 958084
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 3.40.0-10.mga6
+ Revision: 845343
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 3.40.0-9.mga6
+ Revision: 841482
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 3.40.0-8.mga5
+ Revision: 744059
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 3.40.0-7.mga5
+ Revision: 736101
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 3.40.0-6.mga5
+ Revision: 686651
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 3.40.0-5.mga5
+ Revision: 631811
- Rebuild for perl 5.20

* Mon Feb 10 2014 jquelin <jquelin> 3.40.0-4.mga5
+ Revision: 588022
- rebuild after perl 5.18.2

* Sat Oct 19 2013 umeabot <umeabot> 3.40.0-3.mga4
+ Revision: 524561
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 3.40.0-2.mga4
+ Revision: 430973
- perl 5.18.0 rebuild

* Wed Mar 27 2013 jquelin <jquelin> 3.40.0-1.mga3
+ Revision: 405727
- imported package perl-Text-Soundex


* Wed Mar 27 2013 cpan2dist 3.04-1mga
- initial mageia release, generated with cpan2dist
